package eu.dnetlib.uoamonitorservice.dto;

import eu.dnetlib.uoamonitorservice.generics.SubCategoryGeneric;

import java.util.List;
import java.util.Objects;

public class SubCategoryFull extends SubCategoryGeneric<SectionFull> {
    public SubCategoryFull() {}

    public SubCategoryFull(SubCategoryGeneric subCategory, List<SectionFull> numbers, List<SectionFull> charts) {
        super(subCategory);
        numbers.removeIf(Objects::isNull);
        charts.removeIf(Objects::isNull);
        this.numbers = numbers;
        this.charts = charts;
    }
}
